﻿using System.Web.Mvc;
using System.Linq;
using Kendo.Mvc.Examples.Models;
using System.Collections.Generic;
using Kendo.Mvc.UI;

namespace Kendo.Mvc.Examples.Controllers
{
    public partial class TreeViewController : Controller
    {
        public ActionResult Remote_Data()
        {
            return View();
        }

        public JsonResult Employees(string Id)
        {
           /* var dataContext = new SampleEntities();

            var employees = from e in dataContext.Employees
                            where (id.HasValue ? e.ReportsTo == id : e.ReportsTo == null)
                            select new {
                                id = e.EmployeeID,
                                Name = e.FirstName + " " + e.LastName,
                                hasChildren = e.Employees1.Any()
                            };
            */
            var employees = new List<TreeViewItemModel>
                {
                   new TreeViewItemModel
                    {
                        Id="Furniture",
                        Text = "Furniture",
                        HasChildren=true,
                        Items = new List<TreeViewItemModel>
                        {
                            new TreeViewItemModel()
                            {
                                Text = "Tables & Chairs"                                
                            },
                            new TreeViewItemModel
                            {
                                 Text = "Sofas"
                            },
                            new TreeViewItemModel
                            {
                                 Text = "Occasional Furniture"
                            }
                        }
                    },
                    new TreeViewItemModel
                    {
                         Id="Decor",
                        Text = "Decor",
                         HasChildren=true,
                        Items = new List<TreeViewItemModel>
                        {
                            new TreeViewItemModel()
                            {
                                Text = "Bed Linen"                                
                            },
                            new TreeViewItemModel
                            {
                                 Text = "Curtains & Blinds"
                            },
                            new TreeViewItemModel
                            {
                                 Text = "Carpets"
                            }
                        }
                    }
                          };

            return Json(employees.AsQueryable(), JsonRequestBehavior.AllowGet);
        }
    }
}